;---------------------------------------------------
; PATHS INITIALISATIONS                            *
;---------------------------------------------------
;
; 1. Directories
; ==============
;
input_dir = '/usr/work/sur/fvi/OPA/geomag/'
output_dir = '/usr/work/sur/fvi/OPA/geomag/'
;
; 2. Input information 
; ====================
;
;  2.1. Data file name
;  -------------------
;
IF keyword_set(nscal) THEN BEGIN 
data_u_file = 'OMIP_east_west_stress.nc'
data_v_file = 'OMIP_north_south_stress.nc'
ENDIF ELSE BEGIN 
   datafile = 'condmag.nc'
ENDELSE 
;
;  2.2. Data mask file name
;  ------------------------
;
IF keyword_set(key_mask) THEN maskfile = 'tmi99_sst_2x0.5grid.nc'
;
;  2.3. Target grid
;  ----------------
;
gridfile = 'meshmask.nc'
;
; 3. Output information  
; =====================
;
;  3.1. Output file name
;  ---------------------
;
IF keyword_set(nscal) THEN BEGIN 
  outputfile_x = 'OMIP_east_west_stress_ORCA_R2_grid_U.nc'
  outputfile_y = 'OMIP_north_south_stress_ORCA_R2_grid_V.nc'
ENDIF ELSE BEGIN 
   outputfile = 'cond_sed_ORCA2.nc'
ENDELSE 
;
printf, 40, ''
IF keyword_set(nscal) THEN BEGIN 
printf, 40, 'Data input file (x-component) : ', string(input_dir, '/', data_u_file)
printf, 40, 'Data input file (y-component) : ', string(input_dir, '/', data_v_file)
ENDIF ELSE BEGIN 
printf, 40, 'Data input file  : ', string(input_dir, '/', datafile)
ENDELSE 
IF keyword_set(key_mask) THEN printf, 40, 'Mask input file  : ', string(input_dir, '/', maskfile)
IF keyword_set(nscal) THEN BEGIN 
printf, 40, 'Output file (x-component) : ', string(output_dir, '/', outputfile_x)
printf, 40, 'Output file (y-component) : ', string(output_dir, '/', outputfile_y)
ENDIF ELSE BEGIN 
printf, 40, 'Output file      : ', string(output_dir, '/', outputfile)
ENDELSE 
printf, 40, 'Target grid file : ', string(input_dir, '/', gridfile)

