;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME: preproc_mask.pro
;
; PURPOSE: Extends land-sea mask by one point over ocean 
;
; CATEGORY: Function
;
; CALLING SEQUENCE: preproc_mask, mask
;
; INPUTS: 
;          mask : mask field composed of 0 and 1 values 
;                 with 0 over land points 	 
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: 
;          mask : mask field extended 
;                  
;
; COMMON BLOCKS: 
;          common_interp
;
; SIDE EFFECTS: 
;
; RESTRICTIONS:
;
; EXAMPLE:
;
; MODIFICATION HISTORY: 11/99 A. Jouzeau
;
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION preproc_mask, mask
@common_interp
;
printf, 40, ''
printf, 40, 'Entering preproc_mask'
zero = fltarr(jpiatm+2, jpjatm+2)
zero(*, *) = 1
zero[1:jpiatm, 1:jpjatm] = mask
mask = zero
;
mask = mask*shift(mask,  1, 0)*shift(mask, 0,  1)*shift(mask,  1,  1) $
           *shift(mask, -1, 0)*shift(mask, 0, -1)*shift(mask, -1, -1) $
           *shift(mask, -1, 1)*shift(mask, 1, -1)
z = fltarr(jpiatm, jpjatm)
z = mask[1:jpiatm, 1:jpjatm]
printf, 40, ''
printf, 40, 'Extension done'
;
return, z
END 
